remove {base} | R Documentation

## Remove Objects from a Specified Environment

### Description

`remove` and `rm` can be used to remove objects. These can be specified successively as character strings, or in the character vector `list`, or through a combination of both. All objects thus specified will be removed.

If `envir` is NULL then the the currently active environment is searched first.

If `inherits` is `TRUE` then parents of the supplied directory are searched until a variable with the given name is encountered. A warning is printed for each variable that is not found.

### Usage

    remove(..., list = character(0), pos = -1, envir = pos.to.env(pos),
           inherits = FALSE)
    rm    (..., list = character(0), pos = -1, envir = pos.to.env(pos),
           inherits = FALSE)

### See Also

`ls`, `objects`

[Package Contents]